Package com.xebialabs.deployit.plugin.api.udm

## Annotation Type Metadata

-     @Documented
      @Retention(RUNTIME)
      @Target(TYPE)
      @Inherited
      public @interface Metadata

  Specifies that this class is a configuration item.

- - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element | Description
    --- | --- | ---
    `java.lang.String` | `description` | The description of this configuration item.
    `boolean` | `inspectable` | Whether or not the type is inspectable.
    `java.lang.String` | `label` | The label of this configuration item.
    `Metadata.ConfigurationItemRoot` | `root` | The root under which to place configuration items of this type in the JCR tree.
    `java.lang.String` | `rootName` | In case when `root()` is set to `Metadata.ConfigurationItemRoot.BY_ROOT_NAME` this value is read as desired root for this item.
    `boolean` | `versioned` | Whether or not this is a versioned type, i.e.
    `boolean` | `virtual` | Whether or not this is a virtual type, i.e.

- - ### Element Detail

    - #### description

          java.lang.String description

      The description of this configuration item.
      Default:
        "Description unavailable"

  - - #### label

          java.lang.String label

      The label of this configuration item.
      Default:
        ""

  - - #### root

          Metadata.ConfigurationItemRoot root

      The root under which to place configuration items of this type in the JCR tree. If `Metadata.ConfigurationItemRoot.NESTED` is specified, configuration items of this type cannot be placed directly under a root.
      Default:
        com.xebialabs.deployit.plugin.api.udm.Metadata.ConfigurationItemRoot.NESTED

  - - #### rootName

          java.lang.String rootName

      In case when `root()` is set to `Metadata.ConfigurationItemRoot.BY_ROOT_NAME` this value is read as desired root for this item.
      Default:
        ""

  - - #### virtual

          boolean virtual

      Whether or not this is a virtual type, i.e. whether or not CIs of this type can be created.
      Default:
        false

  - - #### versioned

          boolean versioned

      Whether or not this is a versioned type, i.e. whether or not the JCR version history for CIs of this type is kept.
      Default:
        true

  - - #### inspectable

          boolean inspectable

      Whether or not the type is inspectable.
      Default:
        false